Bug 190104 - ftp leaks socket fds when it fails to open a file
ftp leaks socket fds when it fails to open a file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: krb5 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks: 176344 248618
  Show dependency treegraph
 
Reported: 2006-04-27 12:32 EDT by David Kovalsky
Modified: 2014-03-31 19:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHEA-2007-0788
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:13:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2006-04-27 12:32:05 EDT
+++ This bug was initially created as a clone of Bug #190103 +++

Description of problem:
After an attempt to download a file that does not exist a socket does not get
closed.

Version-Release number of selected component (if applicable):
krb5-workstation-1.3.4-27

How reproducible:
always

Steps to Reproduce:
1. Connect to an ftp site using ftp
2. Count the number of opened sockets using lsof
($ lsof| grep ftp| grep -v httpd| grep -v vsftpd | wc -l)
3. Try to "get" an inexistant file a good number of times
4. See the number of file descriptors increase compared to 2.

  
Actual results:
number of sockets increaces

Expected results:
number of sockets does not increase

Additional info:
same problem as bug #174599
Comment 3 RHEL Product and Program Management 2006-08-18 12:04:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 RHEL Product and Program Management 2007-04-17 17:17:32 EDT
Although this bugzilla was approved for RHEL 4.5, we were unable
to resolve it in time to be included in the release.  Therefore
it is now proposed for RHEL 4.6.
Comment 7 RHEL Product and Program Management 2007-05-09 06:31:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 errata-xmlrpc 2007-11-15 11:13:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0788.html

Note You need to log in before you can comment on or make changes to this bug.